#!/bin/bash
# (gpsd.sh) gpsd mit richtiger tty starten.
ORT="/home/andreas"
TTY=`ls /dev/ttyUSB*`
echo "Die GPS-Maus ist an $TTY angeschlossen."
case $TTY in
	/dev/ttyUSB0) 
		echo -n "Kopiere $ORT/gpsd0 nach /etc/default/gpsd"
		sudo cp $ORT/gpsd0 /etc/default/gpsd
		echo " - Restart Service gpsd"
		sudo systemctl restart gpsd
		;;
	/dev/ttyUSB1)
		echo -n "Kopiere /home/andreas/gpsd1 nach /etc/default/gpsd"
		sudo cp $ORT/gpsd1 /etc/default/gpsd
		echo " - Restart Service gpsd"
		sudo systemctl restart gpsd
		;;
	*)      echo "Unbekannte GPS-Maus, keine Aktion"
		;;
esac

